void
I2cAppThread_Entry (
        U32 input)
{
	CyU3PReturnStatus_t status = CY_U3P_SUCCESS;

	status = I2cDmaInit();
    if (status != CY_U3P_SUCCESS)
    {
    	CyFxAppErrorHandler(status);
    }

    /* Initialize the Bulk Loop Application */
    //CyFxBulkLpApplnInit();


	uint8_t Adr[8];
	uint8_t *pu8Adr = &Adr[0];

	Adr[0] = 0xEE;
	Adr[1] = 0x00;
	Adr[2] = 0x01;
	Adr[3] = 0xCF;
	Adr[4] = 0x0F;


	U32 i = 0;

	for(i = 0; i < I2C_DMA_BUF_SIZE; i++)
	{
        g_u8WriteDataDma[i] = i;
	}

	
    for (;;)
    {
        /* No operation in the thread */

    	/* No CPU intervention for the data transfers */
        status = I2cDmaWrite(I2C_EEPROM_DVC_ADDRESS, 2, pu8Adr, 2, &g_u8ReadDataDma[0]);
        CyU3PThreadSleep (10);
        status = I2cDmaWrite(I2C_EEPROM_DVC_ADDRESS, 2, pu8Adr, 2, &g_u8ReadDataDma[0]);
        CyU3PThreadSleep (10);
        status = I2cDmaRead(I2C_EEPROM_DVC_ADDRESS, 2, pu8Adr, 2, &g_u8ReadDataDma[0]);

        CyU3PThreadSleep (10);

        CyU3PThreadRelinquish ();
    }
}